---
title: WheelEvent.deltaX
slug: Web/API/WheelEvent/deltaX
tags:
  - API
  - DOM
  - Property
  - Read-only
  - Reference
  - Référence(2)
  - WheelEvent
---
<p>{{APIRef("DOM Events")}}</p>

<p>The <code><strong>WheelEvent.deltaX</strong></code> read-only property is a <code>double</code> representing the horizontal scroll amount in the {{domxref("WheelEvent.deltaMode")}} unit.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <code><em>dX</em> = <em>event</em>.deltaX;</code></pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">var syntheticEvent = new WheelEvent("syntheticWheel", {"deltaX": 4, "deltaMode": 0});

console.log(syntheticEvent.deltaX);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM3 Events','#widl-WheelEvent-deltaX','WheelEvent.deltaX')}}</td>
   <td>{{Spec2('DOM3 Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WheelEvent.deltaX")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ event("wheel") }}</li>
 <li>{{domxref("WheelEvent")}}</li>
</ul>
